Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Interface SVGValue

All Superinterfaces:
  Value

    public interface SVGValue

extends Value

This interface represents the values for properties like 'fill', 'flood-color'...

Method Summary
`float` | `getColor(int i)` Returns the color at the given index, if this object represents a SVGColor.
`String` | `getColorProfile()` Returns the color profile, if this object represents a SVGColor.
`short` | `getColorType()` Returns the color type, if this object represents a SVGColor.
`int` | `getNumberOfColors()` Returns the number of colors, if this object represents a SVGColor.
`short` | `getPaintType()` Returns the paint type, if this object represents a SVGPaint.
`String` | `getUri()` Returns the URI of the paint, if this object represents a SVGPaint.

Methods inherited from interface org.apache.batik.css.engine.value.Value
`getBlue, getBottom, getCssText, getCssValueType, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getPrimitiveType, getRed, getRight, getSeparator, getStringValue, getTop, item`

Method Detail

### getPaintType

    short getPaintType()
                       throws DOMException

  Returns the paint type, if this object represents a SVGPaint.

  Throws:
    `DOMException`

### getUri

    String getUri()
                  throws DOMException

  Returns the URI of the paint, if this object represents a SVGPaint.

  Throws:
    `DOMException`

### getColorType

    short getColorType()
                       throws DOMException

  Returns the color type, if this object represents a SVGColor.

  Throws:
    `DOMException`

### getColorProfile

    String getColorProfile()
                           throws DOMException

  Returns the color profile, if this object represents a SVGColor.

  Throws:
    `DOMException`

### getNumberOfColors

    int getNumberOfColors()
                          throws DOMException

  Returns the number of colors, if this object represents a SVGColor.

  Throws:
    `DOMException`

### getColor

    float getColor(int i)
                   throws DOMException

  Returns the color at the given index, if this object represents a SVGColor.

  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.